# Enum Class Entity.TransferFunction

java.lang.Object
java.lang.Enum<Entity.TransferFunction>
org.snpeff.reactome.Entity.TransferFunction

All Implemented Interfaces:
  `Serializable, Comparable<Entity.TransferFunction>, Constable`

Enclosing class:
  `Entity`

public static enum Entity.TransferFunction extends Enum<Entity.TransferFunction>

Author:
  pcingola

## Nested Class Summary

### Nested classes/interfaces inherited from class Enum

`Enum.EnumDesc<E>`

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`LINEAR`
`SIGM`
`SIGM_PLUS_MINUS`
`TANH`

## Method Summary

Modifier and Type
Method
Description
`static Entity.TransferFunction`
`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static Entity.TransferFunction[]`
`values()`
Returns an array containing the constants of this enum class, in the order they are declared.

### Methods inherited from class Enum

`clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### LINEAR

public static final Entity.TransferFunction LINEAR

### TANH

public static final Entity.TransferFunction TANH

### SIGM

public static final Entity.TransferFunction SIGM

### SIGM_PLUS_MINUS

public static final Entity.TransferFunction SIGM_PLUS_MINUS

## Method Details

### values

public static Entity.TransferFunction[] values()
Returns an array containing the constants of this enum class, in the order they are declared.

Returns:
  an array containing the constants of this enum class, in the order they are declared

### valueOf

public static Entity.TransferFunction valueOf(String name)
Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum class has no constant with the specified name
  `NullPointerException` - if the argument is null